Skip to content
Skip to main content
PATCH
https://api.us.nylas.com/v3/applications

Update an application

Updates a Nylas application using the client ID associated with the specified API key.

When you make a PATCH request, Nylas replaces all data in the nested object with the information included in your request. For more information, see Updating objects.

Works with an API key or an IAM API key with the applications.update permission.

Request body

application_idstring

Application ID

Example: "ad410018-d306-43f9-8361-fa5d7b2172e0"
organization_idstring

ID of organization

Example: "f5db4482-dbbe-4b32-b347-61c260d803ce"
regionstring

Region identifier

Example: "us"
environmentstring

Environment identifier

productionstaging
default_workspace_idstringread-only

The ID of the application's default workspace, if one exists. Nylas manages this value, and ignores it in create and update requests.

Example: "abf6ff99-05ad-4c0a-aaf8-400aacf2470a"
v2_application_idstring

Linked v2 Application ID

Example: "9nsr7pjw1e1g6hgy9l1znjql7"
brandingobject
hosted_authenticationobject
callback_urisarray<object>

A list of your application's callback URIs.

Responses

successboolean
Example: true
dataobject
PATCHhttps://api.us.nylas.com/v3/applications

Find your API key in the Nylas Dashboard under API Keys in your application settings.

Loading editor...

Autocomplete and validation come from this endpoint's request schema.